Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class BasicTypeRegistry

    java.lang.Object
      org.hibernate.type.BasicTypeRegistry

All Implemented Interfaces:
  Serializable

    public class BasicTypeRegistry

extends Object
implements Serializable

A registry of `BasicType` instances

See Also:
  Serialized Form

Constructor Summary
`BasicTypeRegistry()`

Method Summary
`BasicType` | `getRegisteredType(String key)`
`void` | `register(BasicType type)`
`void` | `register(CompositeUserType type, String[] keys)`
`void` | `register(UserType type, String[] keys)`
`BasicTypeRegistry` | `shallowCopy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTypeRegistry

    public BasicTypeRegistry()

Method Detail

### register

    public void register(BasicType type)

### register

    public void register(UserType type,
                         String[] keys)

### register

    public void register(CompositeUserType type,
                         String[] keys)

### getRegisteredType

    public BasicType getRegisteredType(String key)

### shallowCopy

    public BasicTypeRegistry shallowCopy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.